Kodi 19 in CoreELEC

Hi all

This is just an open question since I am quite curious. Are you guys already working in adding back amlogic support in Kodi 19?

Bye

I seriously doubt it, since Kodi 19 is still in Alpha 1 development stage. No work is yet done to Linux Specific needs, only for Darwin, iOS, macOS, Android and Windows…
I think that before Beta releases it’s really just a waste of time.

There have been some initial tests carried out. Seemed reasonably do-able from what I gathered. Nothing will be done until the first official release candidates come out. A lot changes from the early test releases and you can waste a hell of a lot of time making stuff work which will later be completely revised.

What seems certain is that the hardware that still relies on the 3.14 kernel are not likely to ever see a Kodi 19 release.

Shoog

Initial work seems to be positive.

1 Like

Why (again just out of curiosity) it is not possible on 3.14 kernel?

Problem with libc?

These devises are at end of life and the extra effort in supporting them is a burden which is unwarranted given their numbers. A totally modern devise can be had for less than €50.00
Those that can be migrated to Ng builds will be, those that cannot will remain functional on Kodi 18.

Shoog

:sleepy: Had a plenty of C2’s spreaded in family :slight_smile:

Good luck and cross fingers for developers… Usually take a quite time, even after final release to iron all problems… I think 19 is python3 only? I guess things to iron will be even more than usual.

Kodi 19 runs also on 3.14. But properly supporting is different story.

:slight_smile: Well, if there will be any doubts about functionality, I guess a lot of users stays on 18 @3.14 devices… Well, dunno, maybe 19 will offer some biiiig bang which attract also those users… But old conservative dinosaurs, who doesnt touch something that works - like me - will propably stay on safe side :slight_smile:

I am wondering, what big changes 19 brings anyway, 18 is perfectly fine with me, and python3 is present on 18 also (that means addons migrated to p3 only should run fine on 18).

(fun fact: I totally skiped 17, and stay with 16 until 18 was polished, because I dont liked 17 drawbacks for me and was happy all the time)

Because of vcodec API differences? I mean the amlogic wrapper in Kodi is different between 3.14 and 4.9?

Yep its different.


The move from Python 2 to 3 might present problems with staying on Kodi 18 as all the addon developers start to migrate to support from python 2 to 3. Can see a lot of them been broken and getting more broken in K18 over time.
Kodi 19 seems the natural point to upgrade.

Shoog

CE, Kodi18.8@C2

# uname -a
Linux 3.14.29 #1 SMP Wed Jul 29 12:02:38 CEST 2020 aarch64 GNU/Linux
# python3 --version
Python 3.7.3

I think it is possible, but I also think that there is little interest in doing it.

Shoog

Good news… maybe…

2 Likes

That looks cool @frodo19.
Could be our new splash.

The Problem with 3.14 is not Kodi. Nobody currently is interested anymore to invest time fixing stuff for these old obsolete devices. So at absolutely best it will be AS IS. No more bugfixes, support etc for 3.14.

1 Like

I guess we should all starting thinking about alternative uses for C2 devices soon :slight_smile:

Nah, those lovelly fellows working hard a nicelly… I am sure they will accompany me quite a time. :grin:

Those are cats, not cattles for me, I will not leave them so soon :smiling_face_with_three_hearts: They have python3 loaded due to CE team efford, so I am not worried much. Honestly, as amlogic user I am not astonished much from 19 changelog… Important bits are here already, and others are not that important at all…

I like treat devices with love, and they reward me looong lifetime. I am sure my C2’s are sending secret messages with my VIM3L’s through network, and they like each other, no matter of age (of kernel). I am sure they all gossip me, and its fine :grin:

Dont throw them to the trash bin too soon, like girl throw out new dress each week. Be nice :blush: and dont forget, developers spend hours, days, well a lot of time on them also… Welcome new HW when you need it, take care and pet old good friends is what I am sayin as opposite to your post. Universe is back in balance now :sweat_smile:

2 Likes

I definitely didn’t mean to throw away my C2 - like I said, we’ll be finding alternative uses for it. It’s a very capable box, so I’m sure ideas will come up.
For me, I intend to upgrade to 19, and since I have other boxes, and I’m assuming the DB schema won’t be compatible with 18, it’ll mean saying goodbye to CE on C2, and hello to some other application for it.

Is there an important reason to use KODI 19 ?
I´m using KODI 17 on old S905X box without problems

If your favorite addon doesn’t work anymore then the only option is to update Kodi too.
Or if the addon got some functionality which can’t be backported. Like PVR stuff.

About | FAQ | Terms of Service | Privacy Policy | Legal Notice